# eCommerce

> Base URL: `https://pos.pages.fm/api/v1`. Authenticate with the `api_key` query parameter.

## eCommerce Platform Account

`GET /shops/{SHOP_ID}/marketplace/get_account_info`

Get eCommerce platform account information

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `SHOP_ID` | path | integer | yes | Shop ID |
| `account_id` | query | string |  | Account ID |
| `marketplace_id` | query | string |  | Marketplace ID |
| `name` | query | string |  | Account name |

### Responses

- `200` Success (object)

```json
{
  "success": true,
  "data": [
    {
      "id": "1",
      "marketplace_id": "-3",
      "name": "Shopee",
      "shop_id": 1
    }
  ]
}
```

## eCommerce Platform Products

`GET /shops/{SHOP_ID}/marketplace/products`

Get eCommerce platform products information

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `SHOP_ID` | path | integer | yes | Shop ID |
| `page` | query | integer |  | Page number |
| `page_size` | query | integer |  | Page size |

### Responses

- `200` Success (eCommerceProduct)

```json
{
  "id": "46152996242",
  "linked_product_custom_id": "ANPR",
  "linked_product_name": "Áo nam Pari đẹp thời trang",
  "marketplace_id": "-3",
  "marketplace_shop_name": "Vũ Sơn shop",
  "name": "Áo nam Pari đẹp thời trang",
  "price": 0,
  "sku": "ANPR",
  "variations": [
    {
      "id": "375286372857",
      "images": [
        "https://content.pancake.vn/user-content-dev2.pancake.vn/2025/9/17/abad91b33fa9a051b86d415f6cf63aba00d360ac.jpg"
      ],
      "linked_product_custom_id": "ANPR",
      "linked_variation_custom_id": "TESTMATDOS",
      "linked_variation_fields": [
        {
          "id": "2b61c249-35dc-4b79-a3aa-a173c63a8061",
          "keyValue": "BLUE",
          "name": "Màu sắcaa",
          "value": "blue"
        },
        {
          "id": "b053dfb9-b7b6-4d8a-9fb4-197d7b0d7556",
          "keyValue": "L",
          "name": "Sizeaaa",
          "value": "L"
        }
      ],
      "linked_variation_price": 150000,
      "name": "blue L",
      "price": 165000,
      "quantity": 1025,
      "sku": "TESTMATDOS"
    }
  ],
  "warehouse": "Kho HN"
}
```

## Evaluation list

`GET /shops/{SHOP_ID}/shopee/evaluate`

Get list of evaluations on eCommerce platform

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `SHOP_ID` | path | integer | yes | Shop ID |
| `page` | query | integer |  | Page number |
| `page_size` | query | integer |  | Page size |
| `field_time` | query | string |  | Filter evaluations by time Values: `evaluation_time` Creation time, `last_evaluation_time` Last evaluation time. |
| `evaluation_time[]` | query | integer (unix)[] |  | Filter time interval |

### Responses

- `200` Success (object)

```json
{
  "success": true,
  "data": [
    {
      "buyer": "Vu Son",
      "comment": "Giao nhanh, gói cẩn thận Đúng loại và sản phẩm y như mô tả Mình mua nhiều lần rồi và rất ưng vị của shop",
      "create_at": "2024-08-12T08:31:22Z",
      "last_rating": 3,
      "order_id": "240806J7RNCBUB",
      "product": {
        "images": [
          "https://content.pancake.vn/user-content-dev2.pancake.vn/2024/4/15/841a6d57f52f22176dea7a9a6fb35761c89fd4eb.jpg"
        ],
        "marketplace_product_name": "Áo thun nam form rộng 12 con giáp tuổi Sửu ATD478 Miucho Iconic cotton cổ tròn in graphic"
      },
      "product_name": "Áo thun nam form rộng 12 con giáp tuổi Sửu ATD478 Miucho Iconic cotton cổ tròn in graphic",
      "rating": 5,
      "reply": {
        "hidden": false,
        "reply": "Cảm ơn quý khách đã mua hàng và đánh giá tốt cho shop!\nQuý khách thật tuyệt vời khi đã đặt hàng, nhận hàng và dành thời gian đánh giá tích cực.\nNếu có bất kể vấn đề gì quý khách cứ nhắn tin shop bảo đảm xử lý có lợi cho khách hàng.\nShop vô cùng cầu thị với mong muốn được phục vụ quý khách trong những đơn hàng tiếp theo.\nShop xin chúc quý khách cùng gia đình mạnh khoẻ, vui vẻ, may mắn, bình an!\n\n"
      },
      "shop_id": 224,
      "variation": {
        "images": [
          "https://content.pancake.vn/user-content-dev2.pancake.vn/2024/4/15/0636d7492a531270596064c3712b0e228a843c3b.jpg"
        ],
        "marketplace_sku": "ATD478-2X-CC-M"
      },
      "marketplace": {
        "marketplace_shop_id": "20732730",
        "marketplace_shop_name": "Vũ Sơn shop"
      },
      "marketplace_id": "-3"
    }
  ]
}
```

## List of reverse orders

`GET /shops/{SHOP_ID}/marketplace/reverse_order`

Get list of reverse orders on eCommerce platform

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `SHOP_ID` | path | integer | yes | Shop ID |
| `page` | query | integer |  | Page number |
| `page_size` | query | integer |  | Page size |
| `type_of_filter_time` | query | string |  | Filter reverse orders by time Values: `inserted_at` Inserted at, `updated_at` Updated at. |
| `time[]` | query | integer (unix)[] |  | Filter time interval |

### Responses

- `200` Success (object)

```json
{
  "data": [
    {
      "amount": 143834,
      "buyer": "phuongthaole28",
      "id": 21,
      "inserted_at": "2025-10-14T14:12:16",
      "items": [
        {
          "amount": 1,
          "images": [
            "https://cf.shopee.sg/file/4ecbb6fa567e42c1b1e02993ad53df12"
          ],
          "item_id": "ANPR",
          "item_price": 168630,
          "item_sku": "USB",
          "model_id": 297082992992,
          "name": "Áo nam Pari đẹp thời trang",
          "refund_amount": 143834,
          "variation_sku": "ANPR"
        }
      ],
      "marketplace_id": "-3",
      "marketplace_shop_name": "hoanganh230321131223",
      "note": null,
      "order_id": "2408280F4HVBQRA",
      "original_order": "HGL_RSO_1",
      "reason": "DIFFERENT_DESCRIPTION",
      "shop_id": 20,
      "status": "completed",
      "tracking_number": "fbjdnsdhuhwu",
      "updated_at": "2025-10-24T08:04:56"
    }
  ]
}
```
